TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Statement

return

### Syntax

return [<expr>];

### Description

<shortdoc> 'return;' terminates the call of the innermost function that is currently executing, and control returns to the calling function. An error is signalled if no function is currently executing. No value is returned by the function.
'return <expr>;' terminates the call of the innermost function that is currently executing, and returns the value of the expression <expr>. Control returns to the calling function. An error is signalled if no function is currently executing.
Some functions return several values. In this case the functions return a the first return value as an extended object with the additional components 'ext1', 'ext2', and so on. </shortdoc>

### See also

function

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack